package fxHarakka.luokat;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.Optional;

/**
 * --------------------Tehtavat == (monikko) tehtävien luokka----------------
 * |                                                    | - Tehtävä         |
 * | -Lisää ja poistaa tehtäviä.                        |                   |
 * | -Huolehtii listan pituuden riittävyydestä jos      |                   |
 *    täyttyy.                                          |                   |
 * | -Lukee ja kirjoittaa tapahtumat.dat tiedostoa.     |                   |
 * | -Etsii ja lajittelee(avustaja tehtävä).            |                   |
 * |                                                    |                   |
 * |                                                    |                   |
 * --------------------------------------------------------------------------
 */
public class Tehtavat {
    private int maara;
    private int id;
    private ArrayList<Tehtava> alkiot = new ArrayList<>();

    //-----------------------MUODOSTAJAT-TEHTAVAT----------------------------


    //ei tarvitse erikseen muodostajia
    public Tehtavat() {


    }


    //-----------------------METODIT - TEHTAVAT----------------------------

    /**
     *
     * @return palauttaa tehtävien määrän
     */
    public int getMaara() {
        return maara;
    }


    /**
     * lisää tehtävän tietorakenteeseen
     * @param tehtava lisättävä tehtävä
     */
    public void lisaaTehtava (Tehtava tehtava) {
        alkiot.add(tehtava);

    }


    /**
     * @return Tehtävä
     * @param i Tehtävän indeksi tietorakenteessa joka halutaan
     */
    public Tehtava anna (int i) {
       return alkiot.get(i);
    }








}
